/* scroolbar */
body ::-webkit-scrollbar {
  height: 16px;
  overflow: visible;
  width: 16px;
}
body ::-webkit-scrollbar-thumb {
  background-color: rgba(0, 0, 0, .2);
  background-clip: padding-box;
  border: solid transparent;
  min-height: 28px;
  padding: 100px 0 0;
  box-shadow: inset 1px 1px 0 rgba(0,0,0,.1), inset 0 -1px 0 rgba(0,0,0,.07);
  border-width: 1px 1px 1px 6px;
}
body ::-webkit-scrollbar-button {
  height: 0;
  width: 0;
}
body ::-webkit-scrollbar-track {
  background-clip: padding-box;
  border: solid transparent;
  border-width: 0 0 0 4px;
  }
body ::-webkit-scrollbar-corner {
  background: transparent;
}

/* body */
html, body {
  font: 14px normal Trebuchet, Arial, sans-serif;
  color: #444;
  margin: 0;
  height: 100%;
  width: 100%;
  overflow: hidden;
}
body {
  background: -webkit-radial-gradient(center center, #fff, #eee) no-repeat;
  background: -moz-radial-gradient(center center, #fff, #eee) no-repeat;
  background: -ms-radial-gradient(center center, #fff, #eee) no-repeat;
  background: -o-radial-gradient(center center, #fff, #eee) no-repeat;
  color: #222;
  overflow-x: hidden;
  -webkit-transition: -webkit-transform 300ms ease-in-out;
  -webkit-transform-origin: 50% 100%;
  -webkit-font-smoothing: antialiased;
  -moz-transition: -moz-transform 300ms ease-in-out;
  -moz-transform-origin: 50% 100%;
  -moz-font-smoothing: antialiased;
  -ms-transition: -moz-transform 300ms ease-in-out;
  -ms-transform-origin: 50% 100%;
  -ms-font-smoothing: antialiased;
  -o-transition: -moz-transform 300ms ease-in-out;
  -o-transform-origin: 50% 100%;
  -o-font-smoothing: antialiased;
}

/* header and footer */
header, footer {
  padding: 2px 0;
  display: -webkit-flex;
  display: -moz-box;
  border-radius: 5px;
  box-shadow: 0 5px 5px #ccc;
  background: white;
  background: rgb(207,231,250);
  background: -webkit-linear-gradient(top, rgba(207,231,250,1) 0%, rgba(99,147,193,1) 100%);
  background: -moz-linear-gradient(top, rgba(207,231,250,1) 0%, rgba(99,147,193,1) 100%);
  background: -ms-linear-gradient(top, rgba(207,231,250,1) 0%, rgba(99,147,193,1) 100%);
  background: -o-linear-gradient(top, rgba(207,231,250,1) 0%, rgba(99,147,193,1) 100%);
  -webkit-user-select: none;
  -moz-user-select: none;
  -ms-user-select: none;
  -o-user-select:none;
  user-select: none;
  -webkit-transform: translateY(0) translateZ(0);
  -webkit-transition: -webkit-transform 1s ease-in-out;
  /*-webkit-transition-delay: 0.5s;*/
  -moz-transform: translateY(0) translateZ(0);
  -moz-transition: -moz-transform 1s ease-in-out;
  -ms-transform: translateY(0) translateZ(0);
  -ms-transition: -ms-transform 1s ease-in-out;
  -o-transform: translateY(0) translateZ(0);
  -o-transition: -o-transform 1s ease-in-out;
}
footer {
  height: 20px;
  margin-top: 1px;
  clear: both;
  color: white;
  padding: 2px;
  padding-left: 28px;
  font-size: 12px;
}
.offscreen header {
  -webkit-transform: translateY(-500px);
  -moz-transform: translateY(-500px);
  -ms-transform: translateY(-500px);
  -o-transform: translateY(-500px);
}
.offscreen footer {
  -webkit-transform: translateY(500px);
  -moz-transform: translateY(500px);
  -ms-transform: translateY(500px);
  -o-transform: translateY(500px);
}
header {
  -webkit-align-items: center;
  -moz-align-items: center;
  -ms-align-items: center;
  -o-align-items: center;
}
header > div {
  -webkit-flex: 1 0 auto;
  -moz-flex: 1 0 auto;
  -ms-flex: 1 0 auto;
  -o-flex: 1 0 auto;
  text-align: right;
}
header > div > span {
  border-right: 2px solid rgba(255,255,255,0.25);
  padding: 0 10px;
  vertical-align: middle;
  color: white;
}
header > div > span:last-child {
  border-right: none;
}
header > div > span a {
  color: inherit;
  font-weight: bold;
}
header img {
  height: 45px;
  width: 45px;
  margin: -15px 7px 0 7px;
}
header h1 {
  font-family: verdana;
  font-size: 18px;
  color: white;
  -webkit-flex: 1 0 auto;
}
header h1 a {
  color: inherit;
}
header .active {
  text-decoration: underline;
}

/* general styles */
input {
  vertical-align: middle;
}
label {
  cursor: pointer;
  margin-left: 3px;
}
a {
  color: navy;
  text-decoration: none;
}
a:hover {
  text-decoration: underline;
}
ul, li {
  margin: 0;
  padding: 0;
  list-style: none;
}
li {
  padding-bottom: 2px;
}

/* DL popup container */
#content {
	height: 100%;
}

/* DL tree and webview */
#jstree_div {
    margin: 2px auto;	
	width: 40%;
    height: 95%;
	float: left;
	overflow: scroll;
}
#webview_div {
    margin: 10 auto;		
	width: 60%;
	height: 100%;
	float: left;	
	overflow: scroll;
}
#webview {
    border: solid 2px;
    width: 95%;
    height: 87%;
    color: black;
    margin: 2px auto;
}

/* messages */
#messages:not(:empty) {
  margin: 15px;
  text-align: center;
  display: inline;
}
#messages::before {
  content: '';
}
.message {
  color: red !important;
}
